export interface navItemType {
    label: string
    value: string
    code?: string
    navigate?: UniApp.NavigateToOptions
}

// 实况监测
export const liveModules: navItemType[] = [
    {
        label: '降水监测',
        value: 'rain-m',
        navigate: {
            url: '/pages/business/monitor/rain',
        },
    },
    {
        label: '气温监测',
        value: 'tem-m',
    },
    {
        label: '大风监测',
        value: 'wind-m',
    },
    {
        label: '相对湿度',
        value: 'humidness-m',
    },
    {
        label: '雷达拼图',
        value: 'radar-m',
    },
    {
        label: '强对流',
        value: 'light-m',
    },
    {
        label: '冰雪天气',
        value: 'iceSnow-m',
    },
    {
        label: '形势场',
        value: 'situation-field-m',
    },
    {
        label: '台风监测',
        value: 'typhoon-m',
    },
    {
        label: '卫星云图',
        value: 'satellite-m',
    },
    {
        label: '环境监测',
        value: 'envir-m',
    },
    {
        label: '水情监测',
        value: 'water-m',
    },
    {
        label: '山洪风险',
        value: 'torrents-m',
    },
    {
        label: '面雨量/流域风险',
        value: 'areal-rainfall-m',
    },
    {
        label: '地质灾害',
        value: 'geology-disaster-m',
    },
    {
        label: '森林火险',
        value: 'forest-m',
    },
]

// 预报信息
export const forecastModules: navItemType[] = [
    {
        label: '降水预报',
        value: 'rain-f',
    },
    {
        label: '气温预报',
        value: 'tem-f',
    },
    {
        label: '网格预报',
        value: 'grid-f',
    },
    {
        label: '环境预报',
        value: 'envir-f',
    },
    {
        label: '大雾预报',
        value: 'fog-f',
    },
    {
        label: '面雨量/流域风险',
        value: 'areal-rainfall-f',
    },
    {
        label: '山洪风险',
        value: 'torrents-f',
    },
    {
        label: '地质灾害',
        value: 'geology-disaster-f',
    },
    {
        label: '森林火险',
        value: 'forest-fire-f',
    },
]

// 气候
export const climateModules: navItemType[] = [
    {
        label: '降水统计',
        value: 'rain-c',
    },
    {
        label: '气温统计',
        value: 'tem-c',
    },
    {
        label: '气候服务产品',
        value: 'service-product-c',
    },
    {
        label: '中期气候',
        value: 'metaphase-climate-c',
    },
    {
        label: '气象干旱',
        value: 'drought-c',
    },
]

// 天气
export const weatherModules: navItemType[] = [
    {
        label: '会商材料',
        value: 'meeting-materials-w',
    },
    {
        label: '模式产品',
        value: 'pattern-product-w',
    },
    {
        label: '重要过程',
        value: 'important-process-w',
    },
    {
        label: '值排班',
        value: 'be-onduty-w',
    },
]
